<?php 
$shop = & singleton('shop');

// Список лицевых счетов
if (!is_numeric(end($GLOBALS['URL_ARRAY'])))
{
	$shop->ShowSiteUsersAccount(array(
	'xsl_name' => to_str($GLOBALS['LA']['XslSiteUsersAccount'])));
}
else // Расшифровка транзакций
{
	$SiteUsers = & singleton('SiteUsers');
	$shop_id = intval(end($GLOBALS['URL_ARRAY']));
	$current_site_user = $SiteUsers->GetCurrentSiteUser();

	$shop->ShowSiteUsersAccountTransaction(array(
	'site_users_id' => $current_site_user,
	'shop_shops_id' => $shop_id,
	'xsl_name' => to_str($GLOBALS['LA']['XslSiteUsersAccountTransactions'])));
}

?>